Numerical vertex edit not available in undo/redo stack
Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Pull Request or Patch supplied: Resolution: invalid

Easy fix?: No Copied to github as #: 12006

Description

When performing a numerical vertex edit on a shape polygon the action does not get registered in the undo/redo stack.

Tested on trunk r11704 with OSGeo4W.

History

#1 - 2010-03-21 05:12 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

Hi, the numerical vertex edit is a 3rd party plugin. The plugin developers need to add the necessary code to their plugins in order to see the edits show in

the undo/redo stack. See

http://lists.osgeo.org/pipermail/qgis-developer/2010-March/009302.html

#2 - 2010-03-22 04:24 AM - cmoe -

FYI: Version 0.1.4 of the plugin will now work with the undo/redo stack. Please report problems, if any, to me.

regards

Cédric

#3 - 2010-03-22 08:33 AM - Giovanni Manghi

Hi Cédric,

may I suggest also to drop a line the dev mailing list to explain how did you "linked" your plugin to the undo/redo stack? This would be very helpful for the

other developers that have done/will do plugins that are vector editing tools.

A page in the qgis wiki would be also very good for future reference.
